dimarts, 24 d’agost de 2010

Realment Google abandornarà Wave?

El 4 d'agost Google va anunciar que abandonava el projecte Wave, però que mantenia el servei com a mínim fins a finals d'any.

La confusió estava servida: els que no n'havien sentit a parlar mai del Wave, preguntaven, els que en tenien un compte però no ho feien servir, entraven aviam si hi havia novetats, que n'hi han hagut! i els que el fem servir, començàvem a planejar una retirada ordenada de continguts del Wave.

A Corretgé.com creiem que el Wave és una eina molt imortant per a la nova InterNet, i ens ha sobtat que Google llenci la tovallola tant aviat... si no és que tot plegat formi part d'una campanya de marketing malanomenat 'viric' sobre el Wave.

Què el Wave estigui avançat a la seva època no ha de ser motiu per a que Google, també coneguda com a The Beta Company, el fulmini en un tan breu espai de temps. Que el públic en general no està demanant una eina d'aquest tipus ho demostren les estadísitiques Trends de Google. Però l'anunci d'abandonament de la plataforma Wave genera uns esquemes mentals impensables fa un any: I si Google fes el mateix amb el GMail? Evidentment això no creiem que passi, però certament Google ha obert la porta al dubte.

I totes les empreses que han desenvolupat add-ons per a Wave? ho faran per a la propera novetat que presenti Google?

Si no ho resol ràpidament Google pot perdre la possibilitat de posicionar-se com a lider en la infraestructura de comunicació personal i comercial de la nova InterNet, el nou correu electrònic.

A diferència del que li va passar a Apple amb el seu Newtoon, a InterNet Google no pot abandonar plataformes de futur, a InterNet generalment guanya qui abans es posiciona en un sector. El Newtoon va ser també un giny avançat a la seva època, i ara Apple és lider en aquest sector.

Amb tot, és mentida que Google hagi deixat de desenvolupar per a Wave, aquesta setmana ha introduit un canvi que provoca que no es pugui accedir al Wave des de Chromium, el port de la comunitat Chrome per a Linux, necessari quan no existien paquets Chrome.


No és rés que no es pugui sol·lucionar instal·lant el paquet oficial de Chrome, però al més pur estil deja vu de Màtrix, ens mostra que encara remenen el codi.

I si és mentida que abandonaran Wave? i si fusionen Sites, Buzz i Wave en una única plataforma tota ella sota protocol wave? Això amic meu, tansols ho sap el vent... i les ones.

dissabte, 14 d’agost de 2010

Com fer un Upgrade d'Ubuntu Server 8.04 LTS a 10.04 LTS d'una tacada

Per actualitzar els servidors Ubuntu 8.04 LTS a la següent LTS, la 10.04 d'una tacada, hem de seguir aquestes pases amb la màquina dedicada per a nosaltres (cal reinicar diversos cops):

- Actualitzar el nostre sistema a la darrera versió de la seva release i reniciem per aplicar canvis en el kernel si hi son:
sudo apt-get update
sudo apt-get upgrade
sudo shutdown -r now

Si normalment actualitzem el sistema, amb un cop n'hi haurà prou, si no, cal repetir aquest procediment fins assegurar-nos estar a la darrera versió.

- Instal·lem l'update manager core, si és que no el tenim ja:
sudo apt-get install update-manager-core
I ens assegurem que la configuració a l'arxiu /etc/update-manager/release-upgrades indica que únicament actualitzi a versions LTS:
Prompt=lts

- Iniciem la actualització
sudo do-release-upgrade --proposed
I seguim les instruccions de la pantalla

dijous, 5 d’agost de 2010

Solucionant /bin/sh^M: bad interpreter o /bin/bash^M: bad interpreter

Instal·lant la darrera versió del generador de documentació PhpDocumentor, ens hem trobat que l'script phpdoc peta per

bash: ./phpdoc: /bin/sh^M: bad interpreter: No such file or directory


L'error rau en que l'script es va programar en un editor de windows que ha desat el x'0d0a' per salt de línia que l'intèrpret de comandes de Linux li costa de gestionar.

Hi ha diferents maneres de solucionar aquest problema, una és executant la utilitat dos2unix, si no la tenim la instal·lem amb:

sudo apt-get install tofrodos


I procedim a la conversió de l'script phpdoc

dos2unix phpdoc


I ara que ja tenim l'script amb un únic i necessari x'0a'


Procedim a provar el PhpDocumentor generant la seva pròpia documentació

./phpdoc -c makedocs

dimarts, 3 d’agost de 2010

NetBeans 6.9 IDE PHP en català

Arrel de tenir molts problemes a Corretgé.com amb l'Ecplipse PDT en un Windows 7 Professional 64 bits, hem decidit provar el NetBeans 6.9 que també permet editar PHP, que tanta get en parla.

Els problemes amb la màquina windows, inclos executant-se amb el modus de compatibilitat XP, han continuat amb el NetBeans, així que el problema no és de l'Eclipse, rau en la màquina java de Win7/64.

L'entorn ens ha semblat molt correcte, gestió de subversion de fàbrica, gestor de projectes i mega classes include... bàsicament tot el que ha de tenir un IDE PHP.
A més a més, com podeu veure a les pantalles copiades, l'editor està en català. Això sempre ajuda a pujar nota ;-)

Així que l'hem instal·lat a l'entorn de desenvolupament Linux i l'observarem durant un periode de temps raonable. Us tindrem informats.